using System;

namespace B3
{
    internal class Program
    {
        struct Tacka
        {
            public int x;
            public int y;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            Tacka[] kontrolne = new Tacka[n];
            for (int i = 0; i < n; i++)
            {
                int max = 0;
                string[] xy = Console.ReadLine().Split();
                int maxx = 0, maxy = 0;
                kontrolne[i].x = int.Parse(xy[0]);
                kontrolne[i].y = int.Parse(xy[1]);
                if (kontrolne[i].x > maxx)
                    maxx = kontrolne[i].x;
                if (kontrolne[i].y > maxy)
                    maxy = kontrolne[i].y;
                int rezultat = 0;
                for (int j = 1; j <= maxx; j++)
                {
                    for (int k = 1; k <= maxy; k++)
                    {
                        bool proverax = false, proveray = false;
                        for (int q = 0; q < kontrolne.Length; q++)
                        {
                            if (k == kontrolne[q].y) proveray = true;
                            if (j == kontrolne[q].x) proverax = true;
                        }
                        if (proverax && proveray)
                        {
                            rezultat = 0;
                            for (int n1 = 0; n1 < i; n1++)
                            {
                                
                                rezultat += Math.Abs(kontrolne[n1].x - kontrolne[i].x) * Math.Abs(kontrolne[n1].y - kontrolne[i].y);
                            }
                        }
                        if (rezultat >= max)
                        {
                            max = rezultat;
                            
                        }
                    }
                }
                Console.WriteLine(max);
                max = 0;
            }

        }
    }
}